summary refs log tree commit diff
path: root/bin/c.sh
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-12-07 21:48:11 -0500
committerJune McEnroe <june@causal.agency>2020-12-07 21:48:11 -0500
commitc558cad1adac85a12dde1dd63aedeacfb333457e (patch)
tree3903dec64fb77294e3d4329df2f9e13d1aac34b6 /bin/c.sh
parentAdd I Feel It All (diff)
downloadsrc-c558cad1adac85a12dde1dd63aedeacfb333457e.tar.gz
src-c558cad1adac85a12dde1dd63aedeacfb333457e.zip
Clean up variable expansions in c.sh
Diffstat (limited to 'bin/c.sh')
-rw-r--r--bin/c.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/bin/c.sh b/bin/c.sh
index 6d2b6b35..f1143fd3 100644
--- a/bin/c.sh
+++ b/bin/c.sh
@@ -2,7 +2,7 @@
 set -eu
 
 temp=$(mktemp -d)
-trap 'rm -r "$temp"' EXIT
+trap 'rm -r "${temp}"' EXIT
 
 exec 3>>"${temp}/run.c"
 
@@ -28,8 +28,9 @@ cat >&3 <<EOF
 #include <unistd.h>
 EOF
 
+expr=
 while getopts 'e:i:' opt; do
-	case "$opt" in
+	case "${opt}" in
 		(e) expr=$OPTARG;;
 		(i) echo "#include <${OPTARG}>" >&3;;
 		(?) exit 1;;
@@ -44,7 +45,7 @@ int main(int argc, char *argv[]) {
 	$*;
 EOF
 
-if [ -n "${expr:-}" ]; then
+if [ -n "${expr}" ]; then
 	cat >&3 <<EOF
 	printf(
 		_Generic(
@@ -72,7 +73,7 @@ if [ -n "${expr:-}" ]; then
 EOF
 fi
 
-if [ $# -eq 0 -a -z "${expr:-}" ]; then
+if [ $# -eq 0 -a -z "${expr}" ]; then
 	cat >&3
 fi